{
  "env": {
    "browser": true,
    "es6": true,
    "jest": true
  },
  "extends": [
    "airbnb"
  ],
  "parser": "@babel/eslint-parser",
  "globals": {
    "browser": "readonly",
    "document": "readonly",
    "chrome": "readonly",
    "window": "readonly"
  },
  "settings": {
    "react": {
      "pragma": "h"
    }
  },
  "rules": {
    // Increase max line length from 80 to 120 ch
    "max-len": [
      "error",
      {
        "code": 120
      }
    ],
    // Since we are using yarn workspaces, this will not recognize dependencies.
    "import/no-extraneous-dependencies": "off",
    "react/jsx-one-expression-per-line": "off",
    "no-multiple-empty-lines": "off",
    "no-continue": "off",
    "max-classes-per-file": [
      "error",
      3
    ],
    "no-restricted-syntax": [
      "error",
      {
        "selector": "ForInStatement",
        "message": "for..in loops iterate over the entire prototype chain, which is virtually never what you want. Use Object.{keys,values,entries}, and iterate over the resulting array."
      },
//      // Allow For Of statements
//      {
//        "selector": "ForOfStatement",
//        "message": "iterators/generators require regenerator-runtime, which is too heavyweight for this guide to allow them. Separately, loops should be avoided in favor of array iterations."
//      },
      {
        "selector": "LabeledStatement",
        "message": "Labels are a form of GOTO; using them makes code confusing and hard to maintain and understand."
      },
      {
        "selector": "WithStatement",
        "message": "`with` is disallowed in strict mode because it makes code impossible to predict and optimize."
      }
    ],
    "no-console": [
      "warn",
      {
        "allow": [
          "warn",
          "error"
        ]
      }
    ],
    "class-methods-use-this": "off"
  }
}
